curl --request PUT \
--url https://your-instance.example.com/api/departments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"managerIds": [
"<string>"
],
"userIds": [
"<string>"
]
}
'{
"department": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"managerIds": [
{
"_id": "<string>",
"fullName": "<string>",
"email": "<string>",
"accessRole": "<string>",
"departmentId": "<string>",
"phoneNumber": "<string>",
"designation": "<string>"
}
],
"userIds": [
{
"_id": "<string>",
"fullName": "<string>",
"email": "<string>",
"accessRole": "<string>",
"departmentId": "<string>",
"phoneNumber": "<string>",
"designation": "<string>"
}
],
"createdBy": {},
"updatedBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request PUT \
--url https://your-instance.example.com/api/departments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"managerIds": [
"<string>"
],
"userIds": [
"<string>"
]
}
'{
"department": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"managerIds": [
{
"_id": "<string>",
"fullName": "<string>",
"email": "<string>",
"accessRole": "<string>",
"departmentId": "<string>",
"phoneNumber": "<string>",
"designation": "<string>"
}
],
"userIds": [
{
"_id": "<string>",
"fullName": "<string>",
"email": "<string>",
"accessRole": "<string>",
"departmentId": "<string>",
"phoneNumber": "<string>",
"designation": "<string>"
}
],
"createdBy": {},
"updatedBy": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Department updated
Show child attributes